Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Neuroph
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.neuroph.core.learning
Class SupervisedTrainingElement

    java.lang.Object
      org.neuroph.core.learning.TrainingElement
          org.neuroph.core.learning.SupervisedTrainingElement

All Implemented Interfaces:
  java.io.Serializable

    public class SupervisedTrainingElement

extends TrainingElement
implements java.io.Serializable

Represents training element for supervised learning algorithms. Each supervised training element contains network input and desired network output.

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.neuroph.core.learning.TrainingElement
`input, label`

Constructor Summary
`SupervisedTrainingElement(double[] input, double[] desiredOutput)` Creates new training element with specified input and desired output vectors
`SupervisedTrainingElement(java.lang.String input, java.lang.String desiredOutput)` Creates new training element with specified input and desired output vectors specifed as strings
`SupervisedTrainingElement(java.util.Vector<java.lang.Double> input, java.util.Vector<java.lang.Double> desiredOutput)` Creates new training element with specified input and desired output vectors

Method Summary
`java.util.Vector<java.lang.Double>` | `getDesiredOutput()` Returns desired output for this training element
`void` | `setDesiredOutput(java.util.Vector<java.lang.Double> desiredOutput)` Sets desired output vector for this training element

Methods inherited from class org.neuroph.core.learning.TrainingElement
`getInput, getLabel, setInput, setLabel`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SupervisedTrainingElement

    public SupervisedTrainingElement(java.util.Vector<java.lang.Double> input,
                                     java.util.Vector<java.lang.Double> desiredOutput)

  Creates new training element with specified input and desired output vectors

  Parameters:
    `input` - input vector
    `desiredOutput` - desired output vector

### SupervisedTrainingElement

    public SupervisedTrainingElement(java.lang.String input,
                                     java.lang.String desiredOutput)

  Creates new training element with specified input and desired output vectors specifed as strings

  Parameters:
    `input` - input vector as space separated string
    `desiredOutput` - desired output vector as space separated string

### SupervisedTrainingElement

    public SupervisedTrainingElement(double[] input,
                                     double[] desiredOutput)

  Creates new training element with specified input and desired output vectors

  Parameters:
    `input` - input array
    `desiredOutput` - desired output array

Method Detail

### getDesiredOutput

    public java.util.Vector<java.lang.Double> getDesiredOutput()

  Returns desired output for this training element

  Returns:
    desired output vector

### setDesiredOutput

    public void setDesiredOutput(java.util.Vector<java.lang.Double> desiredOutput)

  Sets desired output vector for this training element

  Parameters:
    `desiredOutput` - desired output vector

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Neuroph
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD